mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Remoting.Contexts.ContextAttribute System.Runtime.Remoting.Contexts.IContributeClientContextSink System.Runtime.Remoting.Contexts.IContributeServerContextSink System.AttributeUsage(System.AttributeTargets.Class) System.Runtime.InteropServices.ComVisible(true)

When this attribute is applied to an object, only one thread can be executing in all contexts that share an instance of this property. This is done by contributing sinks that intercept and serialize incoming calls for the respective contexts. If the property is marked for reentry, then callouts are intercepted too. The callout interception allows other waiting threads to enter the synchronization domain for maximal throughput.

There are two classes named SynchronizationAttribute : one in the namespace, and the other in the namespace. The class supports only synchronous calls, and can be used only with serviced components. (For more information on serviced components, see [<topic://cpconservicedcomponentoverview>].) The supports both synchronous and asynchronous calls, and can be used only with context bound objects. (For more information on context bound objects, see the class.)

This class makes a link demand and an inheritance demand at the class level. A is thrown when either the immediate caller or the derived class does not have infrastructure permission. For details about security demands, see [<topic://cpconLinkDemands>] and [<topic://cpconInheritanceDemands>].

Enforces a synchronization domain for the current context and all contexts that share the same instance.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with default values.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  If reentry is required, callouts out of the to which the current attribute is applied must be intercepted and serialized.

  Initializes a new instance of the class with a Boolean value indicating whether reentry is required.

  A Boolean value indicating whether reentry is required.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The parameter must be either , , , or .

  Initializes a new instance of the class with a flag indicating the behavior of the object to which this attribute is applied.

  An integer value indicating the behavior of the object to which this attribute is applied.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The parameter must be either , , , or .

  Initializes a new instance of the class with a flag indicating the behavior of the object to which this attribute is applied, and a Boolean value indicating whether reentry is required.

  An integer value indicating the behavior of the object to which this attribute is applied.
  true if reentry is required, and callouts must be intercepted and serialized; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Messaging.IMessageSink ``

  The current method is an implementation of .

  Creates a CallOut sink and chains it in front of the provided chain of sinks at the context boundary on the client end of a remoting call.

  The composite sink chain with the new CallOut sink.

  The chain of sinks composed so far.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Void `` To be added.

  Adds the Synchronized context property to the specified .

  The to which to add the property.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Messaging.IMessageSink ``

  The current method is an implementation of .

  Creates a synchronized dispatch sink and chains it in front of the provided chain of sinks at the context boundary on the server end of a remoting call.

  The composite sink chain with the new synchronized dispatch sink.

  The chain of sinks composed so far.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Boolean `` `` To be added.

  Returns a Boolean value indicating whether the context parameter meets the context attribute's requirements.

  true if the passed in context is OK; otherwise, false.

  The context to check. Information gathered at construction time of the context bound object marked by this attribute. The can inspect, add to, and remove properties from the context while determining if the context is acceptable to it.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  If reentry is required, callouts out of the to which the current attribute is applied must be intercepted and serialized.

  Gets or sets a Boolean value indicating whether reentry is required.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  When a synchronized is locked, only the thread currently executing in it has access to objects in the .

  Gets or sets a Boolean value indicating whether the implementing this instance of is locked.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 1 To be added

  Indicates that the class to which this attribute is applied cannot be created in a context that has synchronization. This field is constant.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 4 To be added

  Indicates that the class to which this attribute is applied must be created in a context that has synchronization. This field is constant.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 8 To be added

  Indicates that the class to which this attribute is applied must be created in a context with a new instance of the synchronization property each time. This field is constant.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 2 To be added

  Indicates that the class to which this attribute is applied is not dependent on whether the context has synchronization. This field is constant.